Package: digikam / 4:5.9.0-1

Metadata

Package Version Patches format
digikam 4:5.9.0-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
cmake disable jasper.patch | (download)

core/CMakeLists.txt | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 disable probe for jasper library

cmake add quotes | (download)

core/CMakeLists.txt | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 cmake-add-quotes


flickruploadlimits.patch | (download)

extra/kipi-plugins/flickr/flickrtalker.cpp | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 flickruploadlimits

Patch for #874675

kipi-plugins: flickr uploader: restricts video uploads to max photo size


Flickr has separate size limits for photos and videos.  This is using
the photo size limit (200MB right now) for all uploads, including
videos, which have a 1GB limit on Flickr.

The attached patch uses the video limit for all uploads.  This at least
avoids artificially blocking some uploads; an API error would result on
photos over 200MB, but I think this is both acceptable and incredibly
rare.

0004 Downgrade Exiv2 minimum version to 0.25.patch | (download)

core/CMakeLists.txt | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 downgrade exiv2 minimum version to 0.25. this is the version
 currently in Debian Unstable.